-----------------------------------
-- Area: Valkurm Dunes	
-- MOB:  Damselfly	
-----------------------------------	

package.loaded["/scripts/zones/Valkurm_Dunes/MobIDs"] = nil;
require("/scripts/zones/Valkurm_Dunes/MobIDs");
require("/scripts/globals/fieldsofvalor");

spawnPoint = {
                 {-270.823, -2.168, -16.349}
                 {-264.829, -0.843, -91.306}
                 {-345.957, -0.843,  -8.226}
                 {-206.327, -0.183, -43.800}
             };

-----------------------------------	
-- onMobDeath
-----------------------------------

function onMobDeath(mob,killer)	
	checkRegime(killer,mob,9,1);
	checkRegime(killer,mob,10,2);
	
	if (VE_PH == mob:getID()) then
	nextMob = VE_PH;

	   VE_ToD = GetServerVariable("[POP]Valkurm_Emperor");
	   
	   if (VE_ToD <= os.time(t) and GetMobAction(VALKURM_EMPEROR) == 0 ) then

	      if (math.random((1),(10)) == 5) then
	         nextMob = VALKURM_EMPEROR;
	         DeterMob(VE_PH, true);
              end

	   end

          rand = math.random((0),(3));
  	  SetMobPos(nextMob, spawnPoint[rand][0], spawnPoint[rand][1], spawnPoint[rand][2], math.random((0),(360)))
  	  SpawnMob(nextMob, '', 330);

	end
end;
