-----------------------------------
-- Area: Valkurm Dunes	
-- MOB:  Valkurm Emperor
-----------------------------------	

package.loaded["/scripts/zones/Valkurm_Dunes/MobIDs"] = nil;
require("/scripts/zones/Valkurm_Emperor/MobIDs");
require("/scripts/globals/fieldsofvalor");

spawnPoint = {
                 {-270.823, -2.168, -16.349}
                 {-264.829, -0.843, -91.306}
                 {-345.957, -0.843,  -8.226}
                 {-206.327, -0.183, -43.800}
             };

-----------------------------------	
-- onMobDeath
-----------------------------------

function onMobDeath(mob,killer)	
	checkRegime(killer,mob,9,1);
	checkRegime(killer,mob,10,2);
	
	-- Set LL's ToD
        SetServerVariable("[POP]Valkurm_Emperor", os.time(t) + 3600);
	
        -- Set PH back to normal, then set to spawn in 330 seconds
        DeterMob(VE_PH, false);
        
        rand = math.random((0),(3));
        SetMobPos(nextMob, spawnPoint[rand][0], spawnPoint[rand][1], spawnPoint[rand][4], math.random((0),(360)))
        SpawnMob(VE_PH, '', 330);
end;